package com.persagy.apm.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 项目报警规则与监测对象的关联(ProjectAlarmRuleObjRel)实体类
 *
 * @author lixing
 * @version V1.0 2021-09-07 18:12:08
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "项目报警规则与监测对象的关联")
public class ProjectAlarmRuleObjRel extends AuditableEntity<ProjectAlarmRuleObjRel> implements Serializable {
    private static final long serialVersionUID = 246932386228580969L;

    @ApiModelProperty("项目报警规则id")
    private String projectAlarmRuleId;

    @ApiModelProperty("设备ID")
    private String equipId;

    @ApiModelProperty("屏蔽状态 1-open、0- 屏蔽")
    private Integer open;

    @ApiModelProperty("项目id")
    private String projectId;


    public static String PROP_PROJECT_ALARM_RULE_ID = "project_alarm_rule_id";
    public static String PROP_EQUIP_ID = "equip_id";
    public static String PROP_OPEN = "open";
    public static String PROP_PROJECT_ID = "project_id";

}
